Corrupted Pokemon Y Save on retail cart. SOL?

Discussion in '3DS - Games & Content' started by xtreme1, May 19, 2016.

  1. xtreme1
    OP

    xtreme1 GBAtemp Advanced Fan

    Member
    534
    38
    Nov 14, 2008
    United States
    First off, I've got a legitimate Y cart, that I'm using on 9.4 GW emunand. Had it for about a year, no problem. Haven't touched the cartridge in 6 months while it sat in my case. Gateway roms working fine and immediately on emunand load. Tried loading Y up, and nothing shows in the 3ds slot app. Try to load legit ocarina cartridge, loads fine, then put Y back in, and it loads slowly. This is reproducible. 9.4 GWUSA almost never loads the legit cartridges on the first time. While sysnand 4.5 is just fine.

    Finally when it does load, I get the dreaded, Your game data is corrupt. :( I've tried: JKSV manager app. Cant rip the save. I've tried the Homebrew Pokebank. Can't read the viewer it says. Real Pokebank says it can't find a save.

    Im on an old 3ds xl, 4.5 sysnand. 3.7.1 GW
     
    Last edited by xtreme1, May 19, 2016
  2. astrangeone

    astrangeone GBAtemp Addict

    Member
    2,080
    601
    Dec 1, 2009
    Canada
    Canada
    You are screwed, sometimes carts fail. I've had that happen with my a copy of Pokemon Diamond, and the exact same things happened - the slot refused to read it and the save was corrupt.
     
  3. Queno138

    Queno138 Ravens

    Member
    2,413
    782
    Sep 18, 2010
    Senegal
    Luigi's Dark Mansion
    Okay, do you know that pre fw 6 and after, some games used a different save encryption type.

    If your original pokemon y cart was loaded on 4.5 (doesn't matter if emunand is higher, as the encryption is loaded on firm before gateway boots),

    And right now you updated gateway and maybe they patched it, you're experiencing your game trying to load the save from a new encryption, Hence why it appears Corrupted.

    If you revert back to a previous setup, you may be able to back up the save.

    Edit:
    A good way to test is to try to load the cart on pre fw 6 sysnand, and post fw6 sysnand
    Edit end.

    However if your setup has been the same throughout, tough luck.

    This is possible too.

    My pokemon Y cartridge doesn't cooperate,
    As in it doesn't even load.
    It loads on some 3ds and doesn't on others

    Also, had to clean the contacts for it to work on some.
     
    Last edited by Queno138, May 19, 2016
  4. Sleet

    Sleet GBAtemp Fan

    Member
    334
    65
    Jan 29, 2008
    United States
    Happened to me as well. I thought there would be a something like MagicSave for PSP but not yet I guess. Suppose I have to get around to going back to 4.5.
     
  5. xtreme1
    OP

    xtreme1 GBAtemp Advanced Fan

    Member
    534
    38
    Nov 14, 2008
    United States
    So according to my activity log, I haven't played it since Sept '14. And I had to have updated to 8.1 GW 2.3b since that was when gateway launched their support for it. Is it worth trying to update to 8.1 again? Anyone know if the save encryption even changed since then?
     
  6. xtreme1
    OP

    xtreme1 GBAtemp Advanced Fan

    Member
    534
    38
    Nov 14, 2008
    United States
    Wow. So i partially figured it out.

    So i have to take out the gateway card and change the mode from sysnand to 7+ in the little gateway mode. And then it works. I also put only the launcher.dat on the sd, going to try to put files back on it now
     
    Last edited by xtreme1, May 20, 2016
  7. Queno138

    Queno138 Ravens

    Member
    2,413
    782
    Sep 18, 2010
    Senegal
    Luigi's Dark Mansion
    It does sound like they updated, and implemented 2 types of encryption checks.

    you should back up your save, ensure your save can open with pkhex, and convert your cart to work with the new encryption.
    Basically delete the save, and use a savemanager to inject the save, while running on a mode that uses the newer save encryption.
    (This is for during the unlikely unlucky case that you ever lose your 3DS or brick it, at least you know your cart would run on any >FW6 3DS, as it was intended to.)

    Also, consider updating your 3DS sysnand to 9.2 to obtain to coldbooting for menuhax,
    or even go for A9LH (up to you, but read up the tutorials and everything first)
     
  8. xtreme1
    OP

    xtreme1 GBAtemp Advanced Fan

    Member
    534
    38
    Nov 14, 2008
    United States
    I appreciate your help, probably would have deleted my save if you hadn't led me to the solution. And good advice I ripped the save and the pks so I should be good, I just need to wipe the save on a newer FW and inject the save right?

    So is there really no advantage of staying on 4.5 classic anymore? Guessing I should wait for the A9LH app from Gateway that they said would be released next week? Really behind on the scene but from what it sounds like it should make the process much easier?
     
    Queno138 likes this.
  9. Queno138

    Queno138 Ravens

    Member
    2,413
    782
    Sep 18, 2010
    Senegal
    Luigi's Dark Mansion
    Glad to be of help.
    I may have encountered something like this in the past, hence why I'm familiar with the issue.
    Basically wipe the save (on either older or newer FW), and inject back the save (on Newer firmware)

    Well, I can't think of any advantage to staying on 4.5. (you may want to backup the sysnand, in case you ever want to revert back for any reason)
    I previously was using Gateway on 4.5, and I decided to update to 9.2 to use Menuhax (for coldboot)
    eventually I forsaken Gateway and moved on to A9LH, for better boot rate, faster boot time and I seem to be experiencing better read/write times.
    Of course, every step of "upgrading/updating" carries an inherent risk, but I eventually did it (after sitting on my ass for maybe, half a year? XD)

    Gateway's A9LH app may be a rip/copy of Phailect's guide, (which the whole guide is almost pretty much streamlined and risk reduced.)
    I read that GW's solution may be postponed, and beta testers found some serious flaw, which led the beta 2 to be only for hard modders.
     
  10. xtreme1
    OP

    xtreme1 GBAtemp Advanced Fan

    Member
    534
    38
    Nov 14, 2008
    United States
    So I'm thinking I'll just take this opportunity to get a N3DS FE:F version, which comes on 10.3. Then use Phailect's guide to install a9hax. But is there a way to get gateway support still on luma cfw or do you just not use it anymore?
     
  11. Queno138

    Queno138 Ravens

    Member
    2,413
    782
    Sep 18, 2010
    Senegal
    Luigi's Dark Mansion
    That's kind of close to what I did.
    I got a N3DS LL, downgraded it for menuhax, and eventually switched over to A9LH.

    Well probably not on Luma, but maybe GW will have their own arm9loaderhax.bin file.
     
  12. Makoto0729

    Makoto0729 GBAtemp Regular

    Member
    121
    4
    Jul 28, 2009
    United States
    I have an o3DSXL with 10.7 emuNAND and and an original o3DS with 11.0 (unhacked), and for some reason my Pokemon Y cartridge gives me save file errors and acts corrupted on the XL, but not the original 3DS.

    Not asking for help or anything like that, just pointing out that maybe 3DS is the problem. Try loading the cart on a different 3DS if you can.